<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.DataSource.start &ndash; librygel-server &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.DataSource.start &ndash; librygel-server Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-server</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="interface"><a href="Rygel.DataSource.html">DataSource</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="abstract_method"><a href="Rygel.DataSource.freeze.html">freeze</a></li>
          <li class="abstract_method"><a href="Rygel.DataSource.preroll.html">preroll</a></li>
          <li class="abstract_method">start</li>
          <li class="abstract_method"><a href="Rygel.DataSource.stop.html">stop</a></li>
          <li class="abstract_method"><a href="Rygel.DataSource.thaw.html">thaw</a></li>
          <li class="signal"><a href="Rygel.DataSource.data_available.html">data_available</a></li>
          <li class="signal"><a href="Rygel.DataSource.done.html">done</a></li>
          <li class="signal"><a href="Rygel.DataSource.error.html">error</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">start</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <span class="main_keyword">abstract</span> <span class="main_keyword">void</span> <b><span class="abstract_method">start</span></b> () <span class="main_keyword">throws</span> <span class="main_type"><span class="class">Error</span></span>
        </div>
        <div class="description">
          <p>Start producing the data.</p>
          <h2 class="main_title">Exceptions:</h2>
          <table class="main_parameter_table">
            <tr>
              <td class="main_parameter_table_name">Error</td>
              <td>
                <p>if anything goes wrong while starting the stream. </p>
              </td>
            </tr>
          </table>
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>